Bug 1016672 - jbossws-cxf-client should have dependency on com.sun.xml.messaging.saa:saaj-impl
jbossws-cxf-client should have dependency on com.sun.xml.messaging.saa:saaj-impl
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER7
: EAP 6.2.0
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On: 1021549
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 09:55 EDT by Rostislav Svoboda
Modified: 2013-12-15 11:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rostislav Svoboda 2013-10-08 09:55:34 EDT
We hit issue on IPv6 and test failure says:

Test set: org.jboss.test.ws.jaxws.cxf.bus.EJB3ClientBusTestCase
-------------------------------------------------------------------------------
Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 0.889 sec <<< FAILURE!
testSingleDeploy(org.jboss.test.ws.jaxws.cxf.bus.EJB3ClientBusTestCase)  Time elapsed: 0.001 sec  <<< ERROR!
java.lang.ClassNotFoundException: com.sun.xml.messaging.saaj.SOAPExceptionImpl
        at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:270)

We had to add additional dependency on com.sun.xml.messaging.saa:saaj-impl to reveal true reason for the failure.

jbossws-cxf-clent should have dependency on com.sun.xml.messaging.saa:saaj-impl to avoid such situations.
Comment 1 Alessio Soldano 2013-10-08 11:11:47 EDT
https://issues.jboss.org/browse/JBWS-3716
I'm more inclined towards modifying the testcase instead, avoiding including a saaj implementation into the jbossws-cxf client (if we add the dependency we should probably also include it into the the distribution upstream). The failure here is in a test having a EJB3 bean returning an internal impl class to a remote client.
Comment 3 Rostislav Svoboda 2013-10-10 05:08:16 EDT
Changes in https://source.jboss.org/changelog/JBossWS?cs=17984 make sense for our test case - returning internal impl class to client is bad practice.

Customer should follow best practice too.
Comment 5 Rostislav Svoboda 2013-11-07 08:06:51 EST
Verified on EAP 6.2.0 ER6 

Changes are present in jbossws-cxf-4.2.2.Final tag, agree with fix, returning internal impl class to client is bad practice.

Note You need to log in before you can comment on or make changes to this bug.